{% load static %}

<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <title>Result forms</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

    <!-- Bootstrap js -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

</head>

<!-- fill all the body into grey color (#f0f0f0)  -->
<body style="background-color:#f0f0f0">

{% block content %}

<!-- Create a bootstrap header  -->
<nav class="navbar navbar-default navbar-fixed-top">
  <div class="container">
    <div class="navbar-header">
        <a class="navbar-brand" href="/home"> <font color="#8b0000">HOME</font> </a>    
        <a class="navbar-brand" href="/formsearch/"> <font color="#8b0000">Go back</font> </a>
        <a class="navbar-brand" href="/explore/"> <font color="#8b0000">Explore page</font> </a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav navbar-right">
          {% if user.is_authenticated %}
            <!-- User is loged  -->
              <div class="navbar-brand" >Welcome  {{ user.get_username }}.</div>
              <li class="list-group-item"><a href="/home/logout/">LOGOUT </a></li>
           {% else %}
           <!-- Visitor, user is not loged  -->
              <div class="navbar-brand" > Welcome   new user.</div>
              <li class="list-group-item"><a href="/login/">LOGIN </a></li>
              <li class="list-group-item" ><a href="/register/">REGISTER</a></li>
          {% endif %}
      </ul>
    </div>
  </div>
</nav>

<!-- Use a bootstrap class to center the text, fill the background and use a specific police-->
<div class="jumbotron text-center">

  <h1>Search result</h1>
  
  <div class="container">

    <!-- Result  -->
    {% if ifcondition == 1 %}
    <!-- htmlif is a sentence to show the result -->
    <p>{{ htmlif }}</p>
    <p> Number of result is : {{len_listinput }}</p>

      {% for key, values in listinput.items %}              
        {{values}}
        <img src="{% static  key %}"  width="200" height="200">
              
      {% endfor %} 

    <!-- No result -->
    {% else %}
      <!-- htmlelse is a sentence it said no result -->
      <p>{{ htmlelse }}</p>
    
    {% endif %} 

  </div>
</div>

{% endblock %}

</body>
</html>


 
